Subject: Re: [PATCH 04/12] t1404: move reffiles specific tests to t0600

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 19 Jan 2024 14:27:00 +0100

On Wed, Jan 17, 2024 at 07:52:27PM +0000, John Cai via GitGitGadget wrote:
> From: John Cai <[email-masked]>
[snip]
> +test_expect_success 'D/F conflict prevents add long + delete short' '
> +	df_test refs/df-al-ds --add-del foo/bar foo
> +'

All of the tests using `df_test ()` pass with the reftable backend, the
only thing that's incompatible is that there is an additional prefix in
the "files" backend's error message. So I'd like to drop moving those
D/F conflict tests so that we can instead make them generic in another
iteration.

All the other tests where we verify how the "files" backend behaves when
there are empty directories in the way do make sense to become backend
specific though.

Patrick